<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2008, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->

<!-- This is the screen that shows the 9 circle unlock widget and instructs
     the user how to unlock their device, or make an emergency call.  This
     is the portrait layout.  -->

<com.android.internal.widget.LinearLayoutWithDefaultTouchRecepient
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="horizontal"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <!-- left side: status and music -->
    <RelativeLayout
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:layout_width="0dip"
        android:gravity="center">

        <RelativeLayout android:id="@+id/transport_bg_protect"
            android:layout_width="512dip"
            android:layout_height="wrap_content"
            android:layout_marginBottom="24dip">

            <!-- Music transport control underneath -->
            <include android:id="@+id/transport"
                layout="@layout/keyguard_transport_control"
                android:layout_row="0"
                android:layout_column="0"
                android:layout_rowSpan="3"
                android:layout_columnSpan="1"
                android:layout_gravity="fill"
                android:layout_width="match_parent"
                android:layout_height="512dip"
                />

            <include layout="@layout/keyguard_screen_status_land"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="50dip"
                android:layout_marginTop="50dip"
                android:layout_marginBottom="50dip"
                android:layout_marginRight="64dip"
                android:layout_alignParentTop="true"
                android:layout_alignParentLeft="true"/>

        </RelativeLayout>

    </RelativeLayout>

    <!-- right side: lock pattern -->
    <RelativeLayout
        android:layout_weight="1"
        android:layout_width="0dip"
        android:layout_height="match_parent"
        android:gravity="center_vertical|center_horizontal">
       
        <com.android.internal.widget.LockPatternView android:id="@+id/unlock_widget"
            android:layout_width="354dip"
            android:layout_height="354dip"
            android:layout_gravity="center_vertical"
        />
                        
        <!-- Emergency and forgot pattern buttons. -->
        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center_vertical|center_horizontal">
            android:layout_below="@id/unlock_widget"
            android:layout_alignLeft="@id/unlock_widget"
            android:layout_alignRight="@id/unlock_widget"
            android:layout_marginTop="28dip"
            android:gravity="center"
            style="?android:attr/buttonBarStyle"
            android:weightSum="2">         

                <Button android:id="@+id/forgotPatternButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    style="?android:attr/buttonBarButtonStyle"
                    android:drawableLeft="@drawable/lockscreen_forgot_password_button"
                    android:drawablePadding="8dip"
                    android:text="@string/lockscreen_forgot_pattern_button_text"
                    android:visibility="gone"
                />

                <Button android:id="@+id/emergencyCallButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    style="?android:attr/buttonBarButtonStyle"
                    android:drawableLeft="@drawable/ic_emergency"
                    android:drawablePadding="8dip"
                    android:text="@string/lockscreen_emergency_call"
                    android:visibility="gone"
                />

            </LinearLayout>

        <!-- Area to overlay FaceLock -->
        <View android:id="@+id/faceLockAreaView"
            android:visibility="invisible"
            android:layout_width="512dip"
            android:layout_height="512dip"
            android:layout_centerInParent="true"
            android:background="@color/facelock_color_background"
        />

    </RelativeLayout>

</com.android.internal.widget.LinearLayoutWithDefaultTouchRecepient>
